// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__3123F920_9CD7_4ADC_B25B_3C86BEAEB7B9__INCLUDED_)
#define AFX_MAINFRM_H__3123F920_9CD7_4ADC_B25B_3C86BEAEB7B9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// -- STEP 7: CONVERSION of CDialog to CDialogBar
#include "TreeDialog.h"		// rqd. since m_TreeDlgBar is of type CTreeDialog and is a member var. of CMainFrame

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	void UpdateEditBoxTimeOnCommonOpsToolbar(CString string);
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CTreeDialog	m_TreeDlgBar;						// -- STEP 7: CONVERSION of CDialog to CDialogBar

// Generated message map functions
protected:
	CEdit* m_pctlEditBoxTime;
	CToolBar m_wndTBCommonBlocks;
	CToolBar m_wndTBCommonOps;
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateViewTbCommonOps(CCmdUI* pCmdUI);
	afx_msg void OnViewTbCommonOps();
	afx_msg void OnUpdateViewTbCommonBlocks(CCmdUI* pCmdUI);
	afx_msg void OnViewTbCommonBlocks();
	afx_msg void OnViewBlockDirectory();
	afx_msg void OnUpdateViewBlockDirectory(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__3123F920_9CD7_4ADC_B25B_3C86BEAEB7B9__INCLUDED_)
